package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 查看人员(0.全部学员，1.部分学员)枚举类
*
* @author zxfei
*/
public enum ViewPersionEnum {
    全部学员(0, "全部学员"),
    部分学员(1, "部分学员");
    private Integer value;
    private String desc;

    ViewPersionEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ViewPersionEnum getByValue(Integer value) {
        for (ViewPersionEnum viewPersionEnum : ViewPersionEnum.values()) {
            if (viewPersionEnum.getValue() == value) {
                return viewPersionEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ViewPersionEnum item : ViewPersionEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}